Template:方剂条目/styles.css:修订间差异

删除的内容 添加的内容
// Edit via Wikiplus
// Edit via Wikiplus
第35行:
}
.fangji-entry .fj-label {
width: 6em;
padding: 0 10px 0 0; /* 单元格右侧内边距,制造色块和内容间隙,table有效 */
widthpadding: 5em0 12px 0 0;
vertical-align: top;
white-space: nowrap;
}
/* line-height 实现垂直居中,table环境完美兼容 */
.fangji-entry .fj-label span {
display: block;
width: 100%;
text-align: rightjustify; /* 文字两端对齐,二字/四字左右顶边 */
line-height: 2.2; /* 和padding匹配,色块内文字垂直居中 */
padding: 0 10px;
border-left: 3px solid #397c57;
第53行 ⟶ 第52行:
font-weight: 500;
box-sizing: border-box;
}
/* 解决单行justify最后空白问题,强制末尾填充空白字符撑开 */
.fangji-entry .fj-label span::after {
content: "";
display: inline-block;
width: 100%;
}
.fangji-entry .fj-warning span {
第87行 ⟶ 第92行:
width: 100% !important;
}
/* 移动端左对齐,取消右侧留白 */
.fangji-entry .fj-label {
padding-right: 0;
margin-bottom: 4px;
}
/* 移动端恢复左对齐,取消右侧留白不需要两端撑开 */
.fangji-entry .fj-label span {
text-align: left;
}
.fangji-entry .fj-label {
margin-bottom: 4px;
}
.fangji-card {
第134行 ⟶ 第137行:
}
.fangji-entry .fj-label {
paddingwidth: 0 10px 0 06em;
widthpadding: 5em0 12px 0 0;
vertical-align: top;
white-space: nowrap;
第142行 ⟶ 第145行:
display: block;
width: 100%;
text-align: rightjustify;
line-height: 2.2;
padding: 0 10px;
第151行 ⟶ 第154行:
font-weight: 500;
box-sizing: border-box;
}
.fangji-entry .fj-label span::after {
content: "";
display: inline-block;
width: 100%;
}
.fangji-entry .fj-warning span {
第178行 ⟶ 第186行:
.fangji-entry .fj-label {
padding-right: 0;
margin-bottom: 4px;
}
.fangji-entry .fj-label span {
text-align: left;
}
.fangji-entry .fj-label {
margin-bottom: 4px;
}
.fangji-card {
第223行 ⟶ 第229行:
}
.fangji-entry .fj-label {
paddingwidth: 0 10px 0 06em;
widthpadding: 5em0 12px 0 0;
vertical-align: top;
white-space: nowrap;
第231行 ⟶ 第237行:
display: block;
width: 100%;
text-align: rightjustify;
line-height: 2.2;
padding: 0 10px;
第240行 ⟶ 第246行:
font-weight: 500;
box-sizing: border-box;
}
.fangji-entry .fj-label span::after {
content: "";
display: inline-block;
width: 100%;
}
.fangji-entry .fj-warning span {
第267行 ⟶ 第278行:
.fangji-entry .fj-label {
padding-right: 0;
margin-bottom: 4px;
}
.fangji-entry .fj-label span {
text-align: left;
}
.fangji-entry .fj-label {
margin-bottom: 4px;
}
.fangji-card {